html {
  	scroll-behavior: smooth;
  	scroll-padding-top: 95px; /* ここにヘッダーの高さを指定 */
}

body {
    margin: 0;
    padding: 0;
    background-color: #f1f1f1;
    font-family: sans-serif;
    overflow-x: hidden;
}

a:link   { color: #2874b4; text-decoration: underline; }
a:visited{ color: #2874b4; text-decoration: none; }
a:hover  { color: #2b417f; text-decoration: underline; }
a:active { text-decoration: underline; }
 
.spacer {
	padding-top: 80px;
}

.responsive-img {
  	width: 100%;
  	height: auto; /* これでアスペクト比が維持される */
  	display: block;
  	margin-bottom: 40px; /* 余白を固定 */
}

h1 {
	display: none;
}
  
/* time */
.timeline-container {
    position: relative;
    width: 100%;
    min-height: 3000px; /* 全体の長さを確保 */
/*    padding-top: 50px; */
    pointer-events: none;
}
 
.timeline-svg {
    /* 最初は完全に隠しておく */
    opacity: 0;
    /* JSでクラスがついた時にふわっと出すための設定 */
    transition: opacity 0.5s ease-in;

	clip-path: inset(50px 0 0 0); /* 上から50px分をカットして表示しない */
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%); /* 中央寄せ */
    width: 200px; /* 横幅を制限することで「横に長い」のを防ぐ */
    height: 100%;
    z-index: 6; /* 線は箱より下の階層に設定 */
    pointer-events: none;
}

/* JSの準備ができたらこのクラスを付与する */
.timeline-svg.is-ready {
    opacity: 1;
}

.timeline-item {
    position: relative;
    z-index: 10;
    width: 900px; /* ボックスの幅を固定 */
    margin: 300px auto; /* 上下の間隔を広げてスクロールさせる */
    padding: 20px;
    background: #fff;
    border: 1px solid #ddd;
	border-radius: 15px;
	opacity: 0; /* 最初は透明 */

    /* 重要：表示されるまで操作を無効化（任意） */
    pointer-events: auto; 
}

.first { 
    margin-top: 0px!important;
}

.second {
	margin-top: -20px!Important;
}
 
.timeline-item.is-show {
    opacity: 1;
}
 
/* 中身をフレックスボックスで横並びに */
.item-content-inner {
    display: flex;
    align-items: flex-start;
}

.item-content-inner h3,
.item-content-inner2 h3 {
	font-size: 24px;
	margin: 0 0 20px;
}

/* 1950-1960 */
.fukidashiL a {
	display: inline-block;
	position: absolute;
	top: 30px;
	left: 0px;
	width: 100px;
	height: 100px;
	cursor: pointer;
	z-index: 30;
}

.fukidashiR a {
	display: inline-block;
	position: absolute;
	top: 120px;
	right: 0px;
	width: 100px;
	height: 100px;
	cursor: pointer;
	z-index: 30;
}

h3.typeR {
	text-align: right;
	margin-top: 50px!Important;
}
 
/* 青背景の方はフレックスなし */
.item-content-inner2 {
	margin: 20px 0 0;
	padding: 20px;
    background: #e3f1fc;
}
 
.alignC {text-align: center!Important;}
.img-responsive {
  	display: block;
  	height: auto;
  	max-width: 100%;
}
 
/* 画像エリア（flexの親内の場合） */
.item-image {
    flex: 0 0 250px; /* 画像の幅を固定  */
}
 
.item-image img {
    width: 100%;
    height: 100%;
    object-fit: cover; /* 画像を枠いっぱいに綺麗に収める */
}

.item-image p.caption {
	font-size: 14px;
    text-align: center;
    margin: 5px 0;    
	line-height: 1.5;
}

.item-image2 {
	margin: 0 0 70px 50px;
    width: 250px; /* 画像の幅を固定  */
}


.flex-image {
	width: 90%;
	margin: 20px auto;
	display: flex;
	justify-content: space-between;
	align-items: flex-start;
}

.flex-image div {
	width: 50%;
	text-align: center;
	color: #000;
}

.flex-image-1 img,
.flex-image img {
	width: 250px;
	margin: 0 auto;	
}

.flex-image-4 p.tit,
.flex-image-1 p.tit,
.flex-image p.tit {
	font-size: 16px;
	font-weight: 700;
	line-height: 1.5;
	margin: 5px 0;
	color: #000;
}

.flex-image-1 p.caption,
.flex-image-4 p.caption,
.flex-image p.caption {
	font-size: 14px;
	text-align: center;
	margin: 5px 0;
}

.flex-image-1 {
	display: flex;
	align-items: flex-start;
	width: 90%;
	margin: -120px auto 0;
}

.flex-image-1 div {
	width: 50%;
	text-align: center;
	color: #000;
}

.flex-image-4 {
	width: 90%;
	margin: 20px auto;
	display: flex;
	justify-content: center;
}

.flex-image-4 div {
	width: 100%;
	text-align: center;
	color: #000;
}

.flex-image-4 img {
	width: 200px;
	margin: 0 auto;	
}


p.tit2 {
	font-size: 16px;
	font-weight: 700;
	line-height: 1.5;
	margin: 5px 0 10px;
	color: #000;
	text-align: center;
}

/* テキストエリア */
.item-text {
    flex: 1;
    padding: 0 20px;
    text-align: left;
}

dl {
	display: flex;
	width: 100%;
	margin: 10px 0 5px;
}

dl dt {
	width: 40px;
    font-size: 17px;
	font-weight: 700;
    color: #333;
	margin-right: 10px;
}

dl dd {
	margin: 0;
    font-size: 17px;
	font-weight: 700;
    color: #333;
}

dl.typeR {
	margin-top: 50px;
}
 
 
.item-text p {
	width: 100%;
    margin: 0;
    font-size: 15px;
    line-height: 1.8;
    color: #666;
}

.adjT-50 {
	margin-top: -50px;
}
 
.year {
    font-size: 2rem;
    font-weight: bold;
    color: #110e5d;
	text-align: center;
	margin-bottom: 20px;
}

.btn {
	width: 200px;
	height: 32px;
	margin: -250px auto 100px;
}
 
.btn a{
	display: inline-block;
    width: 200px;
    background: #110e5d;
    border-radius: 5px;
    color: #fff;
    font-size: 16px;
    font-weight: 500;
    padding: 5px 0 8px;
    transform: rotate(0.03deg);
    text-align: center;
    text-decoration: none;
}

.btn a:hover{
	background:#2874b4;
}

.btn i { 
	margin-right:5px;
}

.btn-s {
	width: 80px;
	margin: 0 auto;
}
 
.btn-s a{
	display: inline-block;
	width: 80px;
    background: #110e5d;
    border-radius: 5px;
    color: #fff;
    font-size: 14px;
    font-weight: 500;
    padding: 2px 0 5px 10px;
    transform: rotate(0.03deg);
    text-align: left;
    text-decoration: none;
}


.btn-s a:hover{
	background:#2874b4;
}

.btn-s a::after {
	color: #ffff00;
    font-family: "Font Awesome 6 Free";
    content: '\f054';
    font-weight: 900;
    padding-left: 5px;
}

.icon-pdf:before {
    font-family: "Font Awesome 6 Free";
    content: '\f1c1';
    font-weight: 900;
    color: #2874b4;
    margin: 0 5px 0 0;
}

.icon-book:before {
    font-family: "Font Awesome 6 Free";
    content: '\f02d';
    font-weight: 900;
    color: #2874b4;
    margin: 0 5px 0 0;
}

.marB5 { margin-bottom:5px!important;}
 
p {
    line-height: 1.8;
    color: #555;
}
 
.br-sp {
	display: none;
}

.br-pc {
	display: block;
}

.sub_b {
	vertical-align:bottom;
	font-size: 12px;
}

.marB30 {
	margin-bottom: 30px;
}

.marB60 {
	margin-bottom: 60px;
}
 
/* --- スマホ向けのレスポンシブ設定 --- */
@media (max-width: 768px) {

    .timeline-container {
        padding-left: 10px; /* 左側に少しスペースを作る */
    }
 
    /* SVGの位置を左側に寄せる */
    .timeline-svg {
        left: 35%;
        transform: none;
        width: 100px; /* 幅を狭くしてカーブを控えめにする */
    }
 
    /* 全ての項目を左寄せにする */
    .timeline-item {
        width: calc(100% - 65px); /* 画面幅いっぱいに広げる */
        margin-left: 0 !important; 
        margin-right: 0 !important;
        margin-bottom: 60px; /* 項目間の距離を少し詰める */
/*		transition: opacity 0.4s ease, transform 0.4s ease;  */
     }
 
    /* 画像とテキストを縦並びにする */
    .item-content-inner {
        flex-direction: column;
    }
 
    .item-image {
        flex: none;
		width: 250px;
        margin: 5px auto 20px;
    }
 
    /* 左右の振りを無効化するアニメーション設定 */
    .timeline-item:nth-child(odd),
    .timeline-item:nth-child(even) {
        transform: translateY(30px); /* 下から上への動きのみにする */
    }
 
    .timeline-item.is-show {
        transform: translateY(0);
    }

	.second {
		margin-top: 300px!important;
	}

	.br-sp {
		display: block;
	}

	.br-pc {
		display: none;
	}
	dl dt {
	    margin-right: 20px;
	}

 
	.flex-image,
	.flex-image-1 {
		display: block;
	    width: 100%;
	    margin: 0 auto 20px;
	}

	.flex-image-1 div,
	.flex-image div{
		margin-bottom: 20px;
		width: 100%;
	}

	.item-text {
		padding: 0;
	}

	.item-text h3.typeR {
		text-align: left;
	}

	.item-image2 {
		margin-bottom: 10px;
		width: auto;
	}

	.fukidashiR a {
		top: 490px;
		right: 40px;
	}

	.fukidashiL a {
		top: 50px;
		left: 20px;
	}

	.adjT-50 {
		margin-top: 0;
	}

	.btn {
		margin-top: 0;
	}
}

 
/***********************/
header {
	width: 100%;
	display: flex;
	justify-content: space-between;
	align-items: center;
	background: #fff;
	height: 80px;
	position: fixed;
	z-index:99999;
}

header .flex {
	display: flex;
	align-items: center;
}

header .criepilogo {
	width: 300px;
	margin: 20px;
}

footer p {
	font-size: 15px;
	font-weight: 500;
	transform: rotate(0.03deg);
	text-align: center;
}

/* menu */
.menu-btn {
    position: fixed;
    top: 20px;
    right: 20px;
    display: flex;
    height: 40px;
    width: 30px;
    justify-content: center;
    align-items: center;
    z-index: 90;
}
.menu-btn span,
.menu-btn span:before,
.menu-btn span:after {
    content: '';
    display: block;
    height: 3px;
    width: 25px;
    border-radius: 3px;
    background-color: #110e5d;
    position: absolute;
}
.menu-btn span:before {
    bottom: 8px;
}
.menu-btn span:after {
    top: 8px;
}

#menu-btn-check:checked ~ .menu-btn span {
    background-color: rgba(255, 255, 255, 0);/*メニューオープン時は真ん中の線を透明にする*/
}
#menu-btn-check:checked ~ .menu-btn span::before {
    bottom: 0;
    transform: rotate(45deg);
    background-color: rgba(255, 255, 255, 1);
}
#menu-btn-check:checked ~ .menu-btn span::after {
    top: 0;
    transform: rotate(-45deg);
    background-color: rgba(255, 255, 255, 1);
}

#menu-btn-check {
    display: none;
}

#menu-btn-check:checked ~ .menu-content {
    right: 0;/*メニューを画面内へ*/
}
.menu-content {
    position: fixed;
    top: 0;
    right: -100;/*leftの値を変更してメニューを画面外へ*/
    width: 20%;
    height: 60%;
	background-color: rgba(17, 14, 93, 1);
	/* transition を設定することで、JSでチェックを外した時もアニメーションしながら戻ります */
  	transition: right 0.3s ease-in-out;
    z-index: 80;
}

.menu-content ul {
    padding: 70px 10px 10px;
}
.menu-content ul li {
/*    border-bottom: solid 1px #ffffff; */
    list-style: none;
}
.menu-content ul li a {
    display: block;
    width: 100%;
    font-size: 15px;
    box-sizing: border-box;
    color:#ffffff;
    text-decoration: none;
    padding: 9px 15px 10px 0;
    position: relative;
	text-align: left;
}
.menu-content ul li a::before {
    content: "";
    width: 7px;
    height: 7px;
    border-top: solid 2px #ffffff;
    border-right: solid 2px #ffffff;
    transform: rotate(45deg);
    position: absolute;
    right: 11px;
    top: 16px;
}

.bottom {
	position: relative;
	top: 60px;
}

@media (max-width: 768px) {
	.menu-content {
		width: 35%;
		height: auto;
	}

	.msg-sp {
		width: 80%;
		margin: 0 auto 30px;
		color: #fff;
		font-size: 16px;
	    font-weight: 500;
	    transform: rotate(0.03deg);
		display: block;
		text-align: left;
	}

	header .menu-link {
		display: none;
	}

	footer p {
		font-size: 12px;
	}

	.bottom {
		top: 5px;
	}
}

 
/*************** pagetop *****************/

.pagetop-btn {
  position: fixed;
  width: 52px;
  height: 52px;
  border: solid 1px #110e5d;
  border-radius: 50%;
  background: #110e5d;
  cursor: pointer;
  right: 20px;
  bottom: 20px;
  z-index: 1000;
  opacity: 0;
  transform: translateY(100px);
  transition: opacity 0.3s, transform 0.3s;
}

.pagetop-btn::before {
  content: "";
  display: block;
  width: 10px;
  height: 10px;
  border-left: 2px solid #fff;
  border-top: 2px solid #fff;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -25%) rotate(45deg);
}

.pagetop-btn.visible {
  opacity: 1;
  transform: translateY(0);
}

